Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(135)

Issue 2961013005: [Cleanup] Migrate the DriveMetricsProvider to use the Task Scheduler. (Closed)

Created:
1 year, 8 months ago by Ilya Sherman
Modified:
1 year, 8 months ago
CC:
chromium-reviews, asvitkine+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[Cleanup] Migrate the DriveMetricsProvider to use the Task Scheduler. BUG=667892 TEST=none R=asvitkine@chromium.org Review-Url: https://codereview.chromium.org/2961013005 Cr-Commit-Position: refs/heads/master@{#483798} Committed: https://chromium.googlesource.com/chromium/src/+/f8bacaa6baeb393e620a390589c6345276a39e00

Patch Set 1 #

Patch Set 2 : Fix iOS compile #

Total comments: 2

Patch Set 3 : explicit constructor #

Unified diffs Side-by-side diffs Delta from patch set Stats (+23 lines, -32 lines) Patch
M chrome/browser/metrics/chrome_metrics_service_client.cc View 1 chunk +0 lines, -2 lines 0 comments Download
M components/metrics/drive_metrics_provider.h View 1 2 5 chunks +7 lines, -15 lines 0 comments Download
M components/metrics/drive_metrics_provider.cc View 4 chunks +15 lines, -12 lines 0 comments Download
M ios/chrome/browser/metrics/ios_chrome_metrics_service_client.mm View 1 1 chunk +1 line, -3 lines 0 comments Download

Messages

Total messages: 29 (20 generated)
Ilya Sherman
1 year, 8 months ago (2017-06-28 21:24:11 UTC) #1
Alexei Svitkine (slow)
Will wait for green bots.
1 year, 8 months ago (2017-06-29 14:06:58 UTC) #6
Ilya Sherman
On 2017/06/29 14:06:58, Alexei Svitkine (slow) wrote: > Will wait for green bots. All green, ...
1 year, 8 months ago (2017-06-29 20:45:54 UTC) #11
Alexei Svitkine (slow)
lgtm https://codereview.chromium.org/2961013005/diff/20001/components/metrics/drive_metrics_provider.h File components/metrics/drive_metrics_provider.h (right): https://codereview.chromium.org/2961013005/diff/20001/components/metrics/drive_metrics_provider.h#newcode27 components/metrics/drive_metrics_provider.h:27: DriveMetricsProvider(int local_state_path_key); explicit
1 year, 8 months ago (2017-06-29 20:54:15 UTC) #12
Ilya Sherman
+olivierrobin@chromium.org for the ios changes https://codereview.chromium.org/2961013005/diff/20001/components/metrics/drive_metrics_provider.h File components/metrics/drive_metrics_provider.h (right): https://codereview.chromium.org/2961013005/diff/20001/components/metrics/drive_metrics_provider.h#newcode27 components/metrics/drive_metrics_provider.h:27: DriveMetricsProvider(int local_state_path_key); On 2017/06/29 ...
1 year, 8 months ago (2017-06-30 03:06:41 UTC) #16
Ilya Sherman
+lpromero@ for //ios changes
1 year, 8 months ago (2017-06-30 18:38:47 UTC) #20
lpromero
lgtm
1 year, 8 months ago (2017-06-30 19:54:29 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2961013005/40001
1 year, 8 months ago (2017-06-30 19:54:56 UTC) #26
commit-bot: I haz the power
1 year, 8 months ago (2017-06-30 20:02:22 UTC) #29
Message was sent while issue was closed.
Committed patchset #3 (id:40001) as
https://chromium.googlesource.com/chromium/src/+/f8bacaa6baeb393e620a390589c6...

Powered by Google App Engine
This is Rietveld 408576698